$spreadsheet_ver = '1.0b3a';
# Version with expandible/collapsible tables
sub Spreadsheet {

($contents) = @_;
chomp $contents;

$tableid = (int( rand(899)) + 100);

my $faderpath2 = $faderpath;
$faderpath2 =~ m/(.+)(\/.+$)/;
$spreadsheetjavapath = $1 . qq~/displayTableFunctions.js~;

# Start header section
$phonebook = qq~
<script type="text/javascript" src="$spreadsheetjavapath"></script>
<table id="$tableid" x:str border=0 cellpadding=2 cellspacing=0 style='border-collapse:
 collapse;>
~;  # End header Section


@phonearray = split(/<br>/,$contents);


# Process top labels row with collapse/expand buttons
$phonebook .= qq~ <tr class=xl25 height=17 style='height:12.75pt'>\n~;
$phoneline1 = shift @phonearray; # pull labels row from first element of phonearray
chomp $phoneline1;
$phoneline1 =~ s~\"~~g;
$phoneline1 =~ s~^ ~~;
$phoneline1 =~ s~ $~~;
@phoneline11 = split(//,$phoneline1);

$i = 0;
foreach $item(@phoneline11) {
	chomp $item;
	if ( $item eq '' ) { $item = '&nbsp;'; }
	$phonebook .= qq~  <td class=xl25 align="center" valign="bottom"><div style="display:block">$item<br>&nbsp;<img src="$imagesdir/minus.gif" onClick="collapseTableColumn('$tableid', $i, 0)">&nbsp;</div><div style="display:none">&nbsp;<br>&nbsp;<img src="$imagesdir/plus.gif" onClick="expandTableColumn('$tableid', $i, 0)" alt="$item">&nbsp;</div></td>\n~;
	$i++;
}
$phonebook .= qq~ </tr>\n~;


# Process records
$formatflag = 'one';
foreach $phoneline(@phonearray) {
	$phoneline =~ s~\"~~g;
	if ( $formatflag eq 'one' ) {
		$phonebook .= qq~ <tr class=xl24 height=17 style='height:12.75pt'>\n~;
		chomp $phoneline;
		$phoneline =~ s~^ ~~;
		@phoneitems = split(//,$phoneline);
		foreach $item(@phoneitems) {
			if ( $item eq '' ) { $item = '&nbsp;'; }
			if ( $item =~ m~(\S+)\@(\S+)~ ) { $item = qq~<a href="mailto:$1\@$2">$1\@$2</a>~; }
			$phonebook .= qq~  <td class=xl26><div style="display:block">$item</div><div style="display:none">&nbsp;</div></td>\n~;
		}
		$phonebook .= qq~ </tr>\n~;
	}
	if ( $formatflag eq 'two' ) {
		$phonebook .= qq~ <tr class=xl31 height=17 style='height:12.75pt'>\n~;
		chomp $phoneline;
		$phoneline =~ s~^ ~~;
		@phoneitems = split(//,$phoneline);
		foreach $item(@phoneitems) {
			if ( $item eq '' ) { $item = '&nbsp;'; }
			if ( $item =~ m~(\S+)\@(\S+)~ ) { $item = qq~<a href="mailto:$1\@$2">$1\@$2</a>~; }
			$phonebook .= qq~  <td class=xl29><div style="display:block">$item</div><div style="display:none">&nbsp;</div></td>\n~;
		}
		$phonebook .= qq~ </tr>\n~;
	}
	if ( $formatflag eq 'one' ) {$formatflag = 'two'; }
	else { $formatflag = 'one'; }
}


# Process bottom labels row with collapse/expand buttons
$phonebook .= qq~ <tr class=xl25 height=17 style='height:12.75pt'>\n~;
$i = 0;
foreach $item(@phoneline11) {
	if ( $item eq '' ) { $item = '&nbsp;'; }
	$phonebook .= qq~  <td class=xl25 align="center" valign="top"><div style="display:block">&nbsp;<img src="$imagesdir/minus.gif" onClick="collapseTableColumn('$tableid', $i, 0)">&nbsp;<br>$item</div><div style="display:none">&nbsp;<img src="$imagesdir/plus.gif" onClick="expandTableColumn('$tableid', $i, 0)" alt="$item">&nbsp;<br>&nbsp;</div></td>\n~;
	$i++;
}
$phonebook .= qq~ </tr>\n~;

######################################################################################

# Footer
$phonebook .= qq~
</table>
~;
return($phonebook);
}